Mercurial > noffle
view debian/init @ 373:62b17f6d0269 noffle
[svn] made init script LSB compliant
author | godisch |
---|---|
date | Wed, 02 Apr 2003 22:58:16 +0100 |
parents | 82457f16cf43 |
children | 11cca625263f |
line wrap: on
line source
#!/bin/sh # $Id: init 513 2003-04-02 21:58:16Z godisch $ set -e PATH="/bin:/usr/bin:/sbin:/usr/sbin" NOFFLE=/usr/bin/noffle help () { echo "Usage: /etc/init.d/noffle { online | offline }" >&2 } if [ ! -x "$NOFFLE" ]; then echo "Cannot execute noffle: program not found." >&2 exit 5 # LSB: program is not installed fi if [ "$2" ]; then help exit 2 # LSB: invalid or excess argument(s) fi if [ -x /usr/sbin/pppd ]; then NOFFLE_FETCHMODE="ppp" else NOFFLE_FETCHMODE="cron" fi if [ -f /etc/default/noffle ]; then . /etc/default/noffle fi case "$1" in start) echo -n "Initializing offline news server: noffle" if [ "$NOFFLE_FETCHMODE" = ppp ]; then $NOFFLE --offline else $NOFFLE --online fi ;; stop) echo -n "Switching offline news server into offline mode: noffle" $NOFFLE --offline ;; restart) echo -n "Restarting offline news server: noffle" ;; reload|force-reload) echo -n "Reloading offline news server configuration: noffle" ;; status) help exit 4 # LSB: program or service status is unknown ;; online|offline) echo -n "Switching offline news server into $1 mode: noffle" $NOFFLE --$1 ;; *) help exit 2 # LSB: invalid or excess argument(s) ;; esac echo "." exit 0